<template>
    <div
        v-if="!isStudent"
        class="side-bar fixed w-72 bg-white shadow-sidebar z-999 top-0 left-0 bottom-0"
    >
        <router-link
            :to="{ name: routeNameHomePageRole, params: {} }"
            class="px-4 py-2"
        >
            <img
                :src="require('@/assets/images/logo.png')"
                alt=""
                class="h-12"
            />
        </router-link>
        <ul class="overflow-y-auto px-4">
            <li :key="index" v-for="(item, index) in menuFiltered">
                <router-link
                    :to="{
                        name: item.route.name,
                        params: item.route.params,
                        hash: item.route.hash
                    }"
                    class="flex items-center gap-2 p-3 rounded-md"
                    :class="[
                        item.group && $route.path.indexOf(item.group) >= 0
                            ? 'router-link-active router-link-exact-active'
                            : ''
                    ]"
                    v-html="`${item.icon} <span>${item.text}</span>`"
                >
                </router-link>
            </li>
        </ul>
    </div>
</template>

<script>
export default {
    props: {
        isStudent: {
            type: Boolean,
            required: false
        },
        routeNameHomePageRole: {
            type: String,
            required: true
        },
        menuFiltered: {
            type: Array,
            required: true
        }
    }
};
</script>

<style lang="scss">
.side-bar ul li a {
    &:hover,
    &.router-link-exact-active {
        color: #ffffff !important;
        background: linear-gradient(118deg, #7367f0, rgba(115, 103, 240, 0.7));
    }
    &:hover svg,
    &.router-link-exact-active svg {
        color: #ffffff !important;
    }
}
</style>
